package core.api.models.timemanager.tasks.repeatinginfo;

import org.hibernate.validator.constraints.Length;

import java.time.LocalDate;
import java.util.List;

public class TaskRepeatWeekInfo {

    @Length(min = 1, max = 7)
    private List<TaskRepeatWeekDayInfo> weekDayInfos;

    private DeadlineStrategy deadlineStrategy;

    private LocalDate endDate;

    public List<TaskRepeatWeekDayInfo> getWeekDayInfos() {
        return weekDayInfos;
    }

    public void setWeekDayInfos(List<TaskRepeatWeekDayInfo> weekDayInfos) {
        this.weekDayInfos = weekDayInfos;
    }

    public DeadlineStrategy getDeadlineStrategy() {
        return deadlineStrategy;
    }

    public void setDeadlineStrategy(DeadlineStrategy deadlineStrategy) {
        this.deadlineStrategy = deadlineStrategy;
    }

    public LocalDate getEndDate() {
        return endDate;
    }

    public void setEndDate(LocalDate endDate) {
        this.endDate = endDate;
    }
}
